apiVersion: v1
kind: Service
metadata:
  name: molecuilder-server-external
spec:
  selector:
    app: server
  type: NodePort
  ports:
    - protocol: TCP
      name: controllerport
      port: 20024
      targetPort: controllerport
      nodePort: 30024
---
apiVersion: v1
kind: Service
metadata:
  name: molecuilder-server-internal
spec:
  selector:
    app: server
  type: ClusterIP
  ports:
    - protocol: TCP
      name: workerport
      port: 20025
      targetPort: workerport
